Subject: [PATCH 2/3] ARM: pxa: palmtreo: fix #ifdefs for leds-gpio device

From: [email-masked] (Mike Dunn)
Date: Sun, 23 Dec 2012 07:10:02 -0800

On 12/22/2012 07:20 PM, Marek Vasut wrote:
> Dear Mike Dunn,
> 
>> The #ifdefs around the leds-gpio device platform data are erroneous. 
>> Currently the device is not instantiated on the centro unless
>> CONFIG_MACH_TREO680 is defined.
>>
>> Signed-off-by: Mike Dunn <[email-masked]>
>> ---
>>
>> The #ifdefs within palmtreo_leds_init() are a little ugly, but I think the
>> only alternative would be to instantiate the leds-gpio device platform
>> data for both treo680 and centro, which would require some of the #defines
>> in palmtreo.h to be moved outside their containing #ifdef
>> CONFIG_MACH_{TREO680,CENTRO}.
> 
> Shall we not just kill all those ifdefs and let GCC decide what to optimize out? 
> I think this kind of simple stuff should just be optimized out anyway.

You're suggesting that all the #ifdef CONFIG_MACH_{TREO680,CENTRO} be removed
from palmtreo.h?  Yes, this might be better.  I'll look into it.

Thanks again,
Mike